Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Android phone expert needed

Discussion in 'General Discussion' started by Happyflyer, Jun 3, 2014.

  1. Happyflyer

    Joined:
    May 5, 2014
    Messages:
    1,805
    Likes Received:
    98
    Location:
    Cold, Cold, Michigan
    I have an extra android phone that "about phone" states android version 4.1.1 is installed. But the DJI app will not install. States phone not compatible. So what else does a phone need?
     
  2. Cr8tive_leo

    Joined:
    Feb 6, 2014
    Messages:
    255
    Likes Received:
    1
    Location:
    Ontario, Canada
    What android phone/carrier? It should allow you to update to a newer version.
     
  3. AnselA

    Joined:
    Jan 2, 2014
    Messages:
    896
    Likes Received:
    1
    Location:
    Declination +8° 11'
    Google play:

    "If you get the message shown "Your device is not compatible" while you install the apk from google play,
    you can download the apk in mobilephone browser with the url http://m.dji.net/djivision"
     
  4. Happyflyer

    Joined:
    May 5, 2014
    Messages:
    1,805
    Likes Received:
    98
    Location:
    Cold, Cold, Michigan
    No need to up date os on phone. It is already 4.1.1 enough to get the DJI app to work.
    .
    I have tried the computer to phone and still get the parse error when attempting to install.
    .
    It is listed as: J L35H
    No real "brand name" to it.
    Can be found on the net.